## maui-clip 4.0.2

=== debian/changelog ===
maui-clip (4.0.2-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:53:02 +0000

maui-clip (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 May 2025 20:58:39 +0000

maui-clip (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2024 20:58:37 +0000

maui-clip (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 20:58:31 +0000

maui-clip (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 21:12:05 +0000

clip (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 21:12:06 +0000

clip (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Aug 2023 21:12:06 +0000

clip (3.0.0-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000

## maui-clip 4.0.2+p24.04+vstable+git20250914.2018

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20250914.2018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 20:18:27 +0000

## maui-clip 4.0.2+p24.04+vstable+git20250930.0540

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20250930.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:40:10 +0000

## maui-clip 4.0.2+p24.04+vstable+git20251015.1907

=== src/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_URL_CAST_FROM_STRING)

include_directories(
    ${FFMPEG_INCLUDE_DIRS})

if(MPV_AVAILABLE)
    set(mpvSRCS
        backends/mpv/mpvobject.cpp
        backends/mpv/track.cpp
        backends/mpv/tracksmodel.cpp
        backends/mpv/subtitlesfoldersmodel.cpp
        backends/mpv/qthelper.h)
endif()

set(clipSRCS
    main.cpp
    models/videosmodel.cpp
    models/tagsmodel.cpp
    models/playlistmodel.cpp
    # models/youtubemodel.cpp
    utils/clip.cpp
    controllers/lockmanager.cpp)

set(clip_ASSETS
    assets.qrc)

set(thumbnailerSRCS
    utils/thumbnailer.cpp
    utils/ffmpegthumbs/filmstripfilter.cpp
    utils/ffmpegthumbs/moviedecoder.cpp
    utils/ffmpegthumbs/imagewriter.cpp
    utils/ffmpegthumbs/videothumbnailer.cpp)

if(ANDROID)
    list(APPEND clipSRCS
        controllers/android/androidlockbackend.cpp)

    qt_add_executable(${PROJECT_NAME}
        MANUAL_FINALIZATION
        ${clipSRCS}
        ${clip_ASSETS}
        ${thumbnailerSRCS})

    set_property(TARGET ${PROJECT_NAME} APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android_files)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android_files/version.gradle.in ${CMAKE_BINARY_DIR}/src/version.gradle)

else()
    list(APPEND clipSRCS
        controllers/linux/solidlockbackend.cpp)
    qt_add_dbus_interface(clipSRCS controllers/linux/org.freedesktop.ScreenSaver.xml screensaverdbusinterface)

    qt_add_executable(${PROJECT_NAME}
        MANUAL_FINALIZATION
        ${clipSRCS}
         ${clip_ASSETS}
        ${thumbnailerSRCS}
        ${mpvSRCS})
endif()


qt_add_qml_module(${PROJECT_NAME} URI app.maui.clip
    NO_PLUGIN
    QML_FILES
    main.qml
    views/player/PlayerView.qml
    views/player/MPVPlayer.qml
    views/collection/CollectionView.qml
    views/SelectionBar.qml
    views/tags/TagsView.qml
    views/player/Playlist.qml
    views/tags/TagsGrid.qml
    views/BrowserLayout.qml
    views/ItemMenu.qml
    views/ListDelegate.qml
    views/FloatingVideo.qml
    views/settings/SettingsDialog.qml
    views/youtube/YouTubeView.qml
    views/player/Player.qml
    views/collection/PlacesSidebar.qml)

if (ANDROID)
    find_package(OpenSSL REQUIRED)

    target_link_libraries(${PROJECT_NAME}
        PRIVATE
        Qt6::QuickControls2
        OpenSSL::SSL)

    message(${ANDROID_SDK_ROOT})

    # include(${ANDROID_SDK_ROOT}/openssl/android_openssl.cmake)
    # add_android_openssl_libraries(${PROJECT_NAME})

    # set_property(TARGET ${PROJECT_NAME} PROPERTY QT_ANDROID_EXTRA_LIBS
    #     ${ANDROID_SDK_ROOT}/openssl/ssl_3/arm64-v8a/libcrypto.so
    #     ${ANDROID_SDK_ROOT}/openssl/ssl_3/arm64-v8a/libssl.so)
else()
    target_link_libraries(${PROJECT_NAME}
        PRIVATE
        Qt6::DBus
        Qt6::Widgets)
endif()

target_compile_definitions(${PROJECT_NAME}
    PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_compile_options(${PROJECT_NAME} PRIVATE -fexceptions)

if(MPV_AVAILABLE)
    target_link_libraries(${PROJECT_NAME} PRIVATE mpv)
    add_definitions(-DMPV_AVAILABLE)
    target_compile_definitions(${PROJECT_NAME} PUBLIC MPV_AVAILABLE)
endif()

set(Taglib_LIBRARIES
    Taglib::Taglib)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    MauiKit4
    MauiKit4::FileBrowsing
    Qt6::Network
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
    Qt6::Multimedia
    KF6::CoreAddons
    KF6::I18n
    ${AVUTIL_LIBRARIES}
    ${AVFILTER_LIBRARIES}
    ${AVFORMAT_LIBRARIES}
    ${AVCODEC_LIBRARIES}
    ${SWSCALE_LIBRARIES}
    ${Taglib_LIBRARIES})

if(UNIX AND NOT APPLE AND NOT ANDROID)
    install (TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
    install(FILES org.kde.clip.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    #TODO: port to ecm_install_icons()
    install(FILES assets/clip.svg DESTINATION ${KDE_INSTALL_ICONDIR}/hicolor/scalable/apps)
endif()

qt_finalize_target(${PROJECT_NAME})

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20251015.1907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:07:01 +0000

## maui-clip 4.0.2+p24.04+vstable+git20251019.0731

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20251019.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:10 +0000

=== debian/control ===
Source: maui-clip
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libmauikitfilebrowsing-dev,
               libmpv-dev,
               libpostproc-dev,
               libswscale-dev,
               libtag1-dev,
               mauikit-dev,
               mauiman-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-clip
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-clip.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-clip
Maintainer: Neon CI <neon@kde.org>

Package: maui-clip
Architecture: any
Depends: qml6-module-org-mauikit-calendar,
         qml6-module-org-mauikit-filebrowsing,
         ${misc:Depends},
         ${shlibs:Depends}
Description: clip archiver
 Maui Archiver for compressed files

Package: clip
Depends: maui-clip, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/clip/([\d\.]+)/@PACKAGE@-([\d.]+).tar.xz

## maui-clip 4.0.2+p24.04+vstable+git20251201.0220

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20251201.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:20:11 +0000

## maui-clip 4.0.2+p24.04+vstable+git20260130.1003

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20260130.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:03:39 +0000

## maui-clip 4.0.2+p24.04+vstable+git20260205.0602

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20260205.0602-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:02:58 +0000

## maui-clip 4.0.2+p24.04+vunstable+git20251130.0218

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vunstable+git20251130.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 02:18:20 +0000

## maui-clip 4.0.2+p24.04+vunstable+git20260205.0813

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vunstable+git20260205.0813-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:13:54 +0000

## maui-clip 4.0.2+p24.04+vunstable+git20260208.0706

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vunstable+git20260208.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 08 Feb 2026 07:06:15 +0000
